%global toolchain gcc

Name:           xclicker
Version:        1.5.1
Release:        1%{?dist}
Summary:        A blazing fast GUI autoclicker for Linux

License:        GPL-3.0-or-later
URL:            https://github.com/robiot/xclicker
Source0:        https://github.com/robiot/xclicker/archive/refs/tags/v%{version}.tar.gz

Patch0:		Makefile.patch

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  libX11-devel
BuildRequires:  libXi-devel
BuildRequires:  libXtst-devel
BuildRequires:  pkgconf
BuildRequires:  gtk3-devel
Requires:       gtk3

%description
A blazing fast GUI autoclicker for Linux.

%prep
%autosetup -n xclicker-%{version} -p1

%build
make release

%install
install -Dm755 build/release/src/%{name} %{buildroot}/usr/bin/%{name}
install -Dm644 assets/icon.png %{buildroot}/usr/share/icons/hicolor/256x256/apps/%{name}.png
install -Dm755 assets/xclicker.desktop %{buildroot}/usr/share/applications/xclicker.desktop

%files
%{_bindir}/%{name}
%{_datadir}/applications/xclicker.desktop
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png

%changelog
%autochangelog
